<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<section *ngIf="operationExists">
  <chvote-header>
    <h1 id="operationManagementHeaderTitle">{{operation.longLabel}} <span class="operationDate">{{operation.date | date:'dd.MM.yyyy' }}</span>
    </h1>
    <deployment-summary [operation]="operation" [operationStatus]="operationStatus"></deployment-summary>

    <nav mat-tab-nav-bar id="operationManagementNavBar">
      <a mat-tab-link
         routerLink="parameters"
         routerLinkActive
         #rla="routerLinkActive"
         [active]="rla.isActive">
        <mat-icon
          *ngIf="!operationStatus.configurationStatus.allSectionsInReadOnly && operationStatus.configurationCompleteAndConsistent"
          class="complete">check_circle
        </mat-icon>
        <mat-icon *ngIf="operationStatus.configurationConsistencyErrors.length > 0"
                  class="error">warning
        </mat-icon>
        <mat-icon *ngIf="operationStatus.configurationStatus.allSectionsInReadOnly" class="locked">lock</mat-icon>
        <span class="step-name">{{'operation-management.step.configuration' | translate}}</span>
      </a>
      <a *ngIf="operationStatus.deploymentTarget !== 'NOT_DEFINED'"
         mat-tab-link
         routerLink="voting-material"
         routerLinkActive
         #rla="routerLinkActive"
         [active]="rla.isActive">
        <mat-icon
          *ngIf="!operationStatus.votingMaterialStatus.readOnly && operationStatus.votingMaterialCompleteAndConsistent"
          class="complete">check_circle
        </mat-icon>
        <mat-icon *ngIf="operationStatus.votingMaterialConsistencyErrors.length > 0"
                  class="error">warning
        </mat-icon>
        <mat-icon *ngIf="operationStatus.votingMaterialStatus.readOnly" class="locked">lock</mat-icon>
        <span class="step-name">{{'operation-management.step.voting-material' | translate}}</span>
      </a>
      <a *ngIf="votingMaterialValidated"
         mat-tab-link
         routerLink="voting-period"
         routerLinkActive
         #rla="routerLinkActive"
         [active]="rla.isActive">
        <mat-icon
          *ngIf="!operationStatus.votingPeriodStatus.readOnly && operationStatus.votingPeriodStatus.state != 'INCOMPLETE'"
          class="complete">check_circle
        </mat-icon>
        <mat-icon *ngIf="operationStatus.votingPeriodStatus.readOnly" class="locked">lock</mat-icon>
        <span class="step-name">{{'operation-management.step.voting-period' | translate}}</span>
      </a>
      <a *ngIf="isTallyStarted"
         mat-tab-link
         routerLink="tally"
         routerLinkActive
         #rla="routerLinkActive"
         [active]="rla.isActive">
        <mat-icon class="complete">check_circle</mat-icon>
        <span class="step-name">{{'operation-management.step.tally' | translate}}</span>
      </a>

    </nav>
  </chvote-header>


  <div class="chvote-content">
    <router-outlet></router-outlet>
  </div>

</section>
